Bug 1737941 - fedora-business-cards depends on Python 2
Summary: fedora-business-cards depends on Python 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-business-cards
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian (bex) Exelbierd
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 11:46 UTC by Lumír Balhar
Modified: 2019-09-14 16:32 UTC (History)
3 users (show)

Fixed In Version: fedora-business-cards-2.0-1.fc30 fedora-business-cards-2.0-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-09 02:21:59 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 11:46:11 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for fedora-business-cards's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to fedora-business-cards.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:54:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:49:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-14 07:22:14 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Lumír Balhar 2019-08-21 13:39:15 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 5 Brian (bex) Exelbierd 2019-08-22 12:48:30 UTC
Right now the goal is to rewrite the package to be both Python3 compliant and include a new card design.  These are both stalled due to lack of contributors.  If orphaning the package is required to help the conversion to python3 in the OS, we can do that.

Alternately, I can retire the package and unretire it when the code is updated.  This may be a loooong time ...  Please advise.

Comment 6 Petr Viktorin 2019-08-26 11:23:31 UTC
TBH, I don't think I've seen a Fedora business card yet. Is this actually used/useful?

Comment 7 Brian (bex) Exelbierd 2019-08-26 12:33:25 UTC
They've gotten use by ambassadors in the past.  The nature of hte use of business cards has changed in parts of hte world limiting usage, however I still see needs in LATAM and APAC in particular.  The latest issue has been updating the design, both for a more modern personal card to create and distribute more generic take-away style cards.

Right now we have no contributors to help with a conversion and update, so it is on hold.  If I get time, I really do want to use it as an opportunity to dust off my python skills.  That said, I will block no one from doing this.

Comment 8 Fedora Update System 2019-09-02 21:28:02 UTC
FEDORA-2019-b5ee08f69f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b5ee08f69f

Comment 9 Fedora Update System 2019-09-02 21:31:22 UTC
FEDORA-2019-f6fcdfdec9 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f6fcdfdec9

Comment 10 Brian (bex) Exelbierd 2019-09-02 21:32:33 UTC
If you love python ... and I know you do ... you should seriously consider reviewing the code at https://pagure.io/fedora-business-cards and telling me all about how I did python3 wrong :)

Comment 11 Fedora Update System 2019-09-02 23:56:58 UTC
fedora-business-cards-2.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b5ee08f69f

Comment 12 Fedora Update System 2019-09-03 02:56:59 UTC
fedora-business-cards-2.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f6fcdfdec9

Comment 13 Petr Viktorin 2019-09-03 08:13:13 UTC
Looks pretty good, actually :)
https://pagure.io/fedora-business-cards/pull-request/2

Comment 14 Fedora Update System 2019-09-09 02:21:59 UTC
fedora-business-cards-2.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-09-14 00:09:06 UTC
fedora-business-cards-2.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-09-14 16:32:49 UTC
fedora-business-cards-2.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.